# CAD 已导出类型：  
AcadBlockReference、AcadLine、AcadLWPolyline、AcadText、AcadMText、AcadCircle、AcadArc
AcadLayer
# 暂时未导出类型：  
AcadHatch、AcadSolid、AcadPoint、AcadAttribute、AcDbAlignedDimension

# Block
## AcadBlockReference 块

```json
{
"Position": {
  "X": -610232.62629281147,
  "Y": 385855.71799891669,
  "Z": 0.0
},
"Rotation": 0.0,
"Handle": "334",
"Layer": "COLUMN"
}
        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 334   | 
| Layer   | 所属的图层   | COLUMN   | 
| Rotation   | 旋转角度   |  0  | 
| Position   | 定位点   |    | 

        


## AcadLine Line  


```json
{
"Start": {
  "X": -699632.62629281159,
  "Y": 361455.71799891657,
  "Z": 0.0
},
"End": {
  "X": -703632.62629281171,
  "Y": 361455.71799891657,
  "Z": 0.0
},
"Handle": "3AC",
"Layer": "bz"
}
        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 3AC   | 
| Layer   | 所属的图层   | 3AC   | 
| Start   | 开始点   |    | 
| End   | 结束点   |    | 




## AcadLWPolyline Polyline

```json
{
"Coordinates": [
  {
    "X": -642932.62629281136,
    "Y": 386155.71799891669,
    "Z": 0.0
  },
  {
    "X": -593932.62629281066,
    "Y": 386155.71799891669,
    "Z": 0.0
  },
  {
    "X": -593932.62629281066,
    "Y": 361155.71799891657,
    "Z": 0.0
  },
  {
    "X": -642932.62629281136,
    "Y": 361155.71799891657,
    "Z": 0.0
  }
],
"Handle": "4B6",
"Layer": "x-win"
}
        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 4B6   | 
| Layer   | 所属的图层   | x-win   | 
| Coordinates   | 点集   |    | 
  



## AcadText、AcadMText DBText

```json
{
"TextString": "FM1522乙",
"Position": {
  "X": -633850.50084634183,
  "Y": 372520.44358502037,
  "Z": 0.0
},
"Handle": "58C",
"Layer": "SPACE"
}
        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 58C   | 
| Layer   | 所属的图层   | SPACE   | 
| Position   | 定位点   |    | 
| TextString   | 文字内容   |  FM1522乙  | 


## AcadCircle Circle

```json
{
"Center": {
"X": -626330.41023490112,
"Y": 377458.04605839134,
"Z": 0.0
},
"Radius": 50.0,
"Handle": "66E",
"Layer": "雨水管"
}
        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 66E   | 
| Layer   | 所属的图层   | 雨水管   | 
| Center   | 中心点   |    | 
| Radius   | 半径   |  50.0  | 

## AcadArc Arc

```json
 {
"Center": {
  "X": -635426.07068817585,
  "Y": 380171.59698044369,
  "Z": 0.0
},
"Radius": 150.0,
"StartPoint": {
  "X": -635276.07068817585,
  "Y": 380171.59698044369,
  "Z": 0.0
},
"EndPoint": {
  "X": -635426.07068817585,
  "Y": 380321.59698044369,
  "Z": 0.0
},
"Normal": {
  "X": 0.0,
  "Y": 0.0,
  "Z": 1.0
},
"Handle": "5920",
"Layer": "ACS_FFG_FRZX"
}        
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 66E   | 
| Layer   | 所属的图层   | 雨水管   | 
| Center   | 中心点   |    | 
| Radius   | 半径   |  50.0  | 
| StartPoint   | 开始点   |    | 
| EndPoint   | 结束点   |    | 
| Normal   | 法向量   |    | 

# Layer

## AcadLayer Layer

```json
{
"IsOff": true,
"Handle": "357",
"Layer": "室内布置"
}     
```  

| 名称   | 解释   | 示例    
|:---:|:---:|:---:|
| Handle   | CAD的Handle   | 357   | 
| Layer   | 所属的图层   | 室内布置   | 
| IsOff   |  开关图层  |  true  | 
